package com.weface.component;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @CreateUser: Administrator
 * @CreateTime: 2021/11/23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MessageTemplate {

    /**
     * 任务组
     */
    private String group_name;
    /**
     * 消息离线时间设置，单位毫秒，-1表示不设离线，-1 ～ 3 * 24 * 3600 * 1000(3天)之间
     */
    private Long ttl;
    /**
     * 通知消息标题，长度 ≤ 50
     */
    private String title;
    /**
     * 通知消息内容，长度 ≤ 256
     */
    private String body;
    /**
     * 点击通知后续动作，
     * 目前支持以下后续动作，
     * intent：打开应用内特定页面，
     * url：打开网页地址，
     * payload：自定义消息内容启动应用，
     * payload_custom：自定义消息内容不启动应用，
     * startapp：打开应用首页，
     * none：纯通知，无后续动作
     */
    private String click_type;
    /**
     * click_type为url时必填	无	点击通知打开链接
     */
    private String url;
    /**
     * click_type为intent时必填	无	点击通知打开应用特定页面，长度 ≤ 4096;
     */
    private String intent;
}
